Skip to main content
POST
/
v4
/
deployment-packages
/
{account_id}
/
install
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
install_deployment_package_response = client.deployment_packages.install(
    account_id="account_id",
)
print(install_deployment_package_response.package_installation)
{
  "package_installation": {
    "organization_id": "<string>",
    "package_version_id": "<string>",
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by_user_id": "<string>",
    "created_by_identity_type": "user",
    "status": "INSTALLED",
    "install_log": "<string>",
    "state": {},
    "account_id": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

account_id
string
required

Body

application/json
deployment_package_id
string
deployment_package_name
string
deployment_package_type
enum<string>
Available options:
EGP_CONFIGURATION,
BLOB_STORAGE_FILE,
DOCKER_IMAGE,
EGP_ENTITY,
EGP_USER,
INTERNAL_MODEL_INFO,
EVALUATION_DATASET,
MODEL,
KNOWLEDGE_BASE,
AGENTS_CONFIG
version_constraint
SemVerMinVersion · object

Response

Successful Response

package_installation
DeploymentPackageInstallationEntity · object
required